vim9script

packadd lsp

# C and C++
if executable("clangd")
    g:LspAddServer([{
        name: 'clangd',
        filetype: ['c', 'cpp'],
        path: 'clangd',
        args: ['--background-index', '--clang-tidy'],
    }])
endif

# Javascript/Typescript
if executable("typescript-language-server")
    g:LspAddServer([{
        name: 'tsserver',
        filetype: ['javascript', 'typescript'],
        path: 'typescript-language-server',
        args: ['--stdio'],
    }])
endif
